Package org.apache.sysds.parser.dml

## Class DmlParser.FunctionStatementContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Direct Known Subclasses:
  `DmlParser.ExternalFunctionDefExpressionContext`, `DmlParser.InternalFunctionDefExpressionContext`

Enclosing class:
  DmlParser

    public static class DmlParser.FunctionStatementContext
    extends org.antlr.v4.runtime.ParserRuleContext

### Field Summary

Fields
`StatementInfo` `info`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

### Constructor Summary

Constructors
`FunctionStatementContext()`
`FunctionStatementContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyFrom​(DmlParser.FunctionStatementContext ctx)`
`int` `getRuleIndex()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### info

    public StatementInfo info

### Constructor Detail

#### FunctionStatementContext

    public FunctionStatementContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                                    int invokingState)

#### FunctionStatementContext

    public FunctionStatementContext()

### Method Detail

#### getRuleIndex

    public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

#### copyFrom

    public void copyFrom​(DmlParser.FunctionStatementContext ctx)